# // git-export-file

CLI command to export a particular revision of the specified file(s) from whatever git repo (on disk) the file or files happen to be in.

If not specified, the `revision` argument defaults to the last revision in which each file was changed.

# installation

```shell
$ npm install -g git-export-file
```

# usage

```
Usage:
    $ git export-file [-d <path>] [-r <commit-ish>] [-q] <files...>

Options:
  -d, --dest   Destination directory.  If not specified, defaults to a temporary directory.
  -r, --rev    Revision to export.  If not specified, defaults to previous revision in which the file was modified.
  -q, --quiet  Quiet.  If specified, the export path will not be echoed after the export is complete.
  -h, --help   Show this message

```


# authors

bryn austin bellomy < <bryn@signals.io> >


# license (MIT)

```
Copyright (c) 2013 bryn austin bellomy

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
```

